<template>
    <div>
      <img :src="state.normalPath" alt="Imagen Normal" id="normal">
      <img :src="state.daltinizedPath" alt="Imagen Daltonizada" id="daltonizada">
    </div>
  </template>
  
  <script lang="ts">
  import { reactive } from 'vue';
  
  export default {
    props: {
        daltonismType: {
        type: String,
        required: true
      }
    },
    setup(props) {
      const state = reactive({
        baseUrl: 'src/assets/imagenes/',
        normalPath: '',
        daltinizedPath: '',
        normalImages: ["flores", "fruta", "dados"],
        generatorNameImages: ["Rezenau", "Lucassen", "Kotera"]
      });
  
      const updateImage = () => {
        // Escoger cual imagen normal
        const imageNameIndex = Math.floor(Math.random() * 3);
        // Escoger cual Imagen Daltonizada
        const imageDaltonIndex = Math.floor(Math.random() * 20);
        const generatorIndex = Math.floor(Math.random() * 3);
  
        // set the initial value of imageUrl to a new image path with the random number
        state.normalPath = `${state.baseUrl}imagenesNormales/${state.normalImages[imageNameIndex]}.png`;
        state.daltinizedPath = `${state.baseUrl}imagenesDaltonizadas/${state.generatorNameImages[generatorIndex]}${state.normalImages[imageNameIndex]}${props.daltonismType}${imageDaltonIndex}.png`;
      };
  
      // call updateImage when the component is loaded
      updateImage();
  
      return { state, updateImage };
    }
  };
  </script>
  
  <style scoped></style>
  